PEGASUS-CLEANUP(1)

NAME
pegasus-cleanup - Removes files during Pegasus workflows enactment.

SYNOPSIS

pegasus-cleanup [-h][-l level][-f urls]

DESCRIPTION

pegasus-cleanup removes the files associated with the given URL. Some of the protocols it can handle are GridFTP, SRM, Amazon S3, HTTP, and file://.

OPTIONS

-h, --help
    Prints a usage summary with all the available command-line options.

-l level, --loglevel level
    The debugging output level. Valid values are debug, info, warning, and error. Default value is info.

-f urls, --file urls
    Specifies the file with URLs to clean up (one per line). If this option is not given the list of URLs will be read from stdin.

EXAMPLE

    echo gsiftp://somehost/some/path | pegasus-cleanup

AUTHORS

Pegasus Team http://pegasus.isi.edu